Omega1 = (2*pi)*0.5;   %make sure those parameters are as used in the plot
Omega2 = (2*pi)*15;
gamma = (2*pi)*6.1;

Nplotpoints = 256;
Deltamax = (2*pi*100);
Deltavec = linspace(-Deltamax,Deltamax,Nplotpoints);

denominator = gamma^2 + Deltavec.^2 ;
chi = gamma*gamma*ones(size(Deltavec))./denominator; %% enter your solution for the complex susceptibility chi in terms of Omega1, Omega2, gamma, Delta, as in the example shown before.
% use .* .^ for componentwise operations on vector Deltavec

subplot(1,2,1)
plot(Deltavec/(2*pi),real(chi),'k')
axis tight
xlabel('(\omega_{las}-\omega_{ge})/(2\pi)')
ylabel('Re[\chi]')
title(['dispersion'])

subplot(1,2,2)
plot(Deltavec/(2*pi),imag(chi),'k')
axis tight
xlabel('(\omega_{las}-\omega_{ge})/(2\pi)')
ylabel('Im[\chi]')
title(['absorption'])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
